summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/csit/hc2vpp-verify-func.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-01-07 18:31:53 +0100
committerVratko Polak <vrpolak@cisco.com>2020-01-09 10:35:07 +0100
commit6e1c00a92c2f447c77a77a1ed16aee74add7d3d4 (patch)
tree34720f80b558abde7ec8c26522eed5efbf52233f /jjb/scripts/csit/hc2vpp-verify-func.sh
parent0d6b996be277794b777d6f69676dfcf583c7fa25 (diff)
CSIT: Make script inclusion more readable
Historically, scripts names started with include-raw-csit- prefix. That was not only long and superfluous, but also confusing, as the actual way of including uses "include-raw-escape", which is a command behaving differently than "include-raw", suggested by the previous name. This Change shortens script names to the part that actually says something about the script. + Move scripts to jjb/scripts/csit/. - "Absolute" paths are not used, as ci-man root is not in serarch path. + Put each path on a separate line to avoid long lines. + Update copyright years, add missing copyright notices. Change-Id: Ifcfad5833577d78bf9105f494d5bf6187abc2a68 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'jjb/scripts/csit/hc2vpp-verify-func.sh')
-rw-r--r--jjb/scripts/csit/hc2vpp-verify-func.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/jjb/scripts/csit/hc2vpp-verify-func.sh b/jjb/scripts/csit/hc2vpp-verify-func.sh
new file mode 100644
index 000000000..3e3c63e07
--- /dev/null
+++ b/jjb/scripts/csit/hc2vpp-verify-func.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+
+# Copyright (c) 2020 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Parse optional arguments from gerrit comment trigger
+for i in ${GERRIT_EVENT_COMMENT_TEXT}; do
+ case ${i} in
+ *honeycomb=*)
+ hc_version=`echo "${i}" | cut -d = -f2-`
+ ;;
+ *)
+ ;;
+ esac
+done
+
+# If HC variable is set, check honeycomb version.
+if [[ -n "${hc_version}" ]]; then
+ if [[ "${hc_version}" == *"-release" ]]; then
+ # we are going to test release build. All release
+ # packages should be already present in release repo
+ STREAM="release"
+ echo "STREAM set to: ${STREAM}"
+ fi
+fi
+
+# execute csit bootstrap script if it exists
+if [[ ! -e bootstrap-hc2vpp-integration.sh ]]
+then
+ echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
+ exit 1
+else
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-hc2vpp-integration.sh
+ # run the script
+ ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
+fi
+
+# vim: ts=4 ts=4 sts=4 et :